AMP::Rule Class Reference

`#include <amp.h>`

## Public Member Functions

| Rule (DeliverType deliver, ActionType action)
| Rule (const std::string &date, ActionType action)
| Rule (MatchResourceType match, ActionType action)
| Rule (const std::string &condition, const std::string &action, const std::string &value)
| ~Rule ()
Tag * | tag () const

## Detailed Description

Describes an AMP rule.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 116 of file amp.h.

## Constructor & Destructor Documentation

## Rule() [1/4]

Rule | ( | DeliverType | deliver,
|  | ActionType | action )

Creates a new AMP rule object with a condition of 'deliver'.

Parameters

  deliver | The delivery type.
  action | The rule's action.

Definition at line 47 of file amp.cpp.

## Rule() [2/4]

Rule | ( | const std::string & | date,
|  | ActionType | action )

Creates a new AMP rule object with a condition of 'expire-at'.

Parameters

  date | The expiry date/time in the format defined in XEP-0082.
  action | The rule's action.

Definition at line 52 of file amp.cpp.

## Rule() [3/4]

Rule | ( | MatchResourceType | match,
|  | ActionType | action )

Creates a new AMP rule object with a condition of 'match-resource'.

Parameters

  match | The match type.
  action | The rule's action.

Definition at line 57 of file amp.cpp.

## Rule() [4/4]

Rule | ( | const std::string & | condition,
|  | const std::string & | action,
|  | const std::string & | value )

Creates a new AMP rule object from the given strings.

Parameters

  condition | The rule's condition.
  action | The rule's action.
  value | The rule's value.

Definition at line 62 of file amp.cpp.

## ~Rule()

~Rule | ( |  | ) |

Destructor.

Definition at line 84 of file amp.cpp.

## Member Function Documentation

## tag()

Tag * tag | ( |  | ) | const

Creates a Tag representation from the current rule.

Returns
  A Tag representation of the rule.

Definition at line 90 of file amp.cpp.

The documentation for this class was generated from the following files:

- amp.h
- amp.cpp